package etf.rti;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean(name = "korisnici", eager = true)
@SessionScoped
public class Korisnici implements Serializable {

    private static final long serialVersionUID = 1L;

   private String ime;
   private String zvanje;
   private int brojPredmeta;
   private double radniStaz;

   private static final ArrayList<Zaposleni> kolektiv
      = new ArrayList<Zaposleni>(Arrays.asList(
      new Zaposleni("Boško Nikolić", "redovni profesor", 5, 15.75),
      new Zaposleni("Milo Tomašević", "redovni profesor", 5, 27.5),
      new Zaposleni("Jelica Protić", "vanredni profesor", 4, 26.75),
      new Zaposleni("Nemanja Kojić", "asistent", 6, 5.5),
      new Zaposleni("Dražen Drašković", "asistent", 9, 5.5),
      new Zaposleni("Katarina Milenković", "asistent", 7, 2.333),
      new Zaposleni("Sanja Delčev", "saradnik u nastavi", 4, 0.4)
   ));	


   public ArrayList<Zaposleni> getKolektiv() {
      return kolektiv;
   }

   public String addEmployee() {		 
      Zaposleni osoba = new Zaposleni(ime, zvanje, brojPredmeta, radniStaz);
      kolektiv.add(osoba);
      return null;
   }

   public String deleteEmployee(Zaposleni osoba) {
      kolektiv.remove(osoba);		
      return null;
   }

   public String editZaposleni(Zaposleni osoba){
      osoba.setMozeEditovati(true);
      return null;
   }

   public String saveKolektiv(){
      //set "canEdit" of all employees to false 
      for (Zaposleni osoba : kolektiv){
         osoba.setMozeEditovati(false);
      }		
      return null;
   }

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getZvanje() {
        return zvanje;
    }

    public void setZvanje(String zvanje) {
        this.zvanje = zvanje;
    }

    public int getBrojPredmeta() {
        return brojPredmeta;
    }

    public void setBrojPredmeta(int brojPredmeta) {
        this.brojPredmeta = brojPredmeta;
    }

    public double getRadniStaz() {
        return radniStaz;
    }

    public void setRadniStaz(double radniStaz) {
        this.radniStaz = radniStaz;
    }
}